#ifndef QGPYEDITDIALOG_H
#define QGPYEDITDIALOG_H

#include <QDialog>

class QMimeData;

class QgPyEditDialog : public QDialog
{
    Q_OBJECT
public:
    QgPyEditDialog(QWidget* parent=0);
    ~QgPyEditDialog();

    static QgPyEditDialog* singleInstance();

    void setMimeInfo(const QMimeData *);

    void showFile(const QString& filename);

    QString text();
    QString execFile();

signals:
    void dropAccepted();
    void dropRejected();

private slots:
    //void fileSelect();
    void previewSmall();
    void previewFull();
    void previewEdit();

    void executeScript();

private:
    class Implementation;
    Implementation& p_;
};

#endif // QGPYEDITDIALOG_H
